# AIEventSubsidyAwarded Class Reference

Event Subidy Awarded, indicating a subsidy is awarded to some company. More...

`#include <ai_event_types.hpp>`

Inheritance diagram for AIEventSubsidyAwarded:

## Public Member Functions

| AIEventSubsidyAwarded (SubsidyID subsidy_id)
SubsidyID | GetSubsidyID ()
| Get the SubsidyID of the subsidy.

## Static Public Member Functions

static const char * | GetClassName ()
static AIEventSubsidyAwarded * | Convert (AIEvent *instance)
| Convert an AIEvent to the real instance.

## Private Attributes

SubsidyID | subsidy_id

## Detailed Description

Event Subidy Awarded, indicating a subsidy is awarded to some company.

Definition at line 144 of file ai_event_types.hpp.

## Constructor & Destructor Documentation

AIEventSubsidyAwarded::AIEventSubsidyAwarded | ( | SubsidyID | subsidy_id | ) | `[inline]`

Parameters:

  | subsidy_id | The index of this subsidy in the _subsidies array.

Definition at line 151 of file ai_event_types.hpp.

## Member Function Documentation

static AIEventSubsidyAwarded* AIEventSubsidyAwarded::Convert | ( | AIEvent * | instance | ) | `[inline, static]`

Convert an AIEvent to the real instance.

Parameters:

  | instance | The instance to convert.

Returns:
  The converted instance.

Definition at line 161 of file ai_event_types.hpp.

SubsidyID AIEventSubsidyAwarded::GetSubsidyID | ( |  | ) | `[inline]`

Get the SubsidyID of the subsidy.

Returns:
  The subsidy id.

Definition at line 167 of file ai_event_types.hpp.

The documentation for this class was generated from the following file:

- src/ai/api/ai_event_types.hpp